from ccdc import io 

reader = io.EntryReader('CSD')
entry = reader.entry('HXACAN28')
crystal = entry.crystal


file_path = r"C:\training\HXACAN28.cif"


with io.CrystalWriter(file_path) as crystal_writer:
    crystal_writer.write(crystal)
    print(f"Crystal {crystal.identifier} written to {file_path}")


