from ccdc.search import TextNumericSearch

text_search = TextNumericSearch()

compound = 'aspirin'

text_search.add_compound_name(compound)

hits = text_search.search()

print(f"Number of hits for {compound} : {len(hits)}")

for hit in hits[:10]:
    print(f"Ref - {hit.identifier}")
    print(f"   Space Group: {hit.crystal.spacegroup_symbol}")


text_search.clear()

text_search.add_habit('needle')
hits = text_search.search()
print(f"Number of Needle shaped crystals : {len(hits)}")

text_search.add_solvent('Water')
hits = text_search.search()
print(f"Number of Needle shaped crystals with water : {len(hits)}")
